@echo off

echo.
echo ========================================
echo ===== SH3 Patcher V1.0 by h.sie ========
echo ========================================
echo.
echo Trying to apply Stiebler patch version V16B1_Stiebler4C to H.sie's V16B1 sh3.exe ... 
echo.

pause

echo.
echo Checking for correct version of sh3.exe
echo.

rem fciv -v -xml MD5.xml
rem if errorlevel 1 goto MD5ERROR

echo.
echo Making backup sh3.old
echo.
move sh3.exe sh3.old

echo.
echo Patching....
echo.
bspatch sh3.old sh3.exe V16B1_Stiebler4C

goto END


:MD5ERROR
echo.
echo Sorry, wrong SH3 Checksum. Patching not possible!
echo.

:END
echo.
echo Job done!
pause
